pub fn initialize_directories() {
    // getting the directories will also create them if they dont exist
    // get the app data directory
    crate::paths::get_app_data_dir().expect("Failed to get or create app data directory");

    // get the app cache directory
    crate::paths::get_app_data_dir().expect("Failed to get or create app data directory");

    // get the app config directory
    crate::paths::get_app_data_dir().expect("Failed to get or create app data directory");
}
